%define oname   columnize

Name:       ruby-%{oname}
Version:    0.9.0
Release:    %mkrel 3
Summary:    Module to format an array as an array of strings aligned in columns
Group:      Development/Ruby
License:    GPLv2+
URL:        http://rubyforge.org/projects/rocky-hacks/columnize
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-rake
BuildArch:  noarch

%description
In showing a long lists, sometimes one would prefer to see the value
arranged aligned in columns. Some examples include listing methods
of an object or debugger commands.

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup
sed -i -e "/require 'rake'/d"  %{gem_name}.gemspec

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_instdir}/.yardoc

%files
%{gem_spec}
%{gem_instdir}
%doc README.md COPYING

%files          doc
%doc %{gem_docdir}


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.9.0-3.mga8
+ Revision: 1499631
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.9.0-2.mga7
+ Revision: 1275112
- Mageia 7 Mass Rebuild

* Thu Dec 31 2015 pterjan <pterjan> 0.9.0-1.mga6
+ Revision: 917319
- Update to 0.9.0

* Wed Oct 15 2014 umeabot <umeabot> 0.8.9-4.mga5
+ Revision: 744319
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.9-3.mga5
+ Revision: 688769
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 pterjan <pterjan> 0.8.9-2.mga5
+ Revision: 660122
- Do not require (unused) rake in the gemspec, it breaks

* Mon May 26 2014 pterjan <pterjan> 0.8.9-1.mga5
+ Revision: 626618
- Update to 0.8.9

* Sat Dec 28 2013 pterjan <pterjan> 0.3.6-11.mga4
+ Revision: 561806
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 0.3.6-10.mga4
+ Revision: 561082
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.3.6-9.mga4
+ Revision: 535325
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.3.6-8.mga4
+ Revision: 481911
- Rebuild for Ruby 2

* Wed Sep 11 2013 pterjan <pterjan> 0.3.6-7.mga4
+ Revision: 477442
- Add missing BuildRequires
- Use gem_setup
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 0.3.6-6.mga3
+ Revision: 395779
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.3.6-5.mga3
+ Revision: 380716
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.3.6-4.mga3
+ Revision: 312779
- rebuild for new ruby

* Mon Sep 10 2012 shlomif <shlomif> 0.3.6-3.mga3
+ Revision: 291999
- New release 3 for new ruby api

* Tue Jun 12 2012 solbu <solbu> 0.3.6-2.mga3
+ Revision: 260070
- Remove yardoc

* Fri Jun 08 2012 shlomif <shlomif> 0.3.6-1.mga3
+ Revision: 257871
- Got to build
+ solbu <solbu>
- New version
- Spec cleanup

* Thu Mar 24 2011 shikamaru <shikamaru> 0.3.2-2.mga1
+ Revision: 77122
- remove files already included by %%doc
- move files to vendorlibdir and fix file list

* Thu Jan 27 2011 shikamaru <shikamaru> 0.3.2-1.mga1
+ Revision: 42321
- imported package ruby-columnize


* Thu Jan 27 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.3.2-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- Bump version

* Mon Dec 20 2010 Rémy Clouard <shikamaru@mandriva.org> 0.3.1-1mdv2011.0
+ Revision: 623460
- import rubygem-columnize

